Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::EventConfigure Class Reference

A GdkEventConfigure C++ wrapper class. More...

`#include <events.h>`

Inheritance diagram for Inti::Gdk::EventConfigure:

List of all members.

## Public Member Functions

Accessors

- GdkEventConfigure * gdk_event_configure () const
    Get a pointer to the GdkEventConfigure structure.
- int x () const
    Returns the new X coordinate of the window, relative to its parent.
- int y () const
    Returns the new Y coordinate of the window, relative to its parent.
- int width () const
    Returns the new width of the window.
- int height () const
    Returns the new height of the window.

## Detailed Description

A GdkEventConfigure C++ wrapper class.

An EventConfigure is generated when a window size or position has changed.

The event type is CONFIGURE.

The documentation for this class was generated from the following file:

- events.h

Main Page - Footer